Subject: RE: [lojban] Re: Why we should cancel the vote or all vote NO (was RE: Official Statement- LLG Board approves new baseline policy

From: "And Rosta" <[email-masked]>
Date: Tue, 3 Dec 2002 05:53:21 -0000

Lojbab:
> At 07:02 PM 12/2/02 +0000, And wrote:
> > > >Anyway, I definitely think that nothing
> > > >in the never-used portion of Mex should be monosyllabic
> > >
> > > Which is a surefire way of making sure that Mex would never be
> used. If it
> > > takes lots of syllables to say even the simplest thing, people won't be as
> > > likely to use it
> >
> >I have the same anxieties about ordinary bridi that are logically explicit
> >I don't see what is special about mex that gives it a special claim
> >to brevity. I'd have thought it had the least claim to brevity, given
> >that it is never used
>
> It has a claim for cohesiveness of design, so that it can be used
>
> To give an example from Mex, usage frequency would not justify giving the
> hex digits monosyllables - they aren't used as much as the base 10 digits
> and not as much as many of the disyllables. But as a cohesive system, the
> digits make sense as designed

I actually agree with you about the hex digits but was keeping shtum so
as not to muddy the waters. But I was intending to argue this point had
the idea of reassigning monosyllabics taken off.

> lau will never exist as a standalone word - it will always be paired with
> another word (maybe more - I can't remember the grammar off the top of my
> head). Thus any lau construct is ALREADY polysyllabic, with the lau
> serving as a common beginning to give a grammatical cue as to what is going
> on

If we were to decide to do some rejigging for the sake of a bit more
concision, I expect some of our clever colleages could work out suitable
statistical algorithms to calculate where the greatest savings could be
made.

> There were a lot of such considerations where design decisions were made
> NOT based on individual word frequency, but based on how the words would be
> used in a context. Overall things came out quite well, with the only
> gotchas coming where usage of the language uncovered a new multiword
> construct that had not been planned for, such as du'u or ce'u

I agree.

> My personal feelings in all this, given the desire for monosyllables, is
> that the byfy should probably reabsorb the xVVs, and consider using the 4
> monosyllables for high frequency combinations that have unexpectedly
> emerged. But I would not reassign any words: ce'u which would otherwise be
> a good candidate, should remain ce'u because otherwise several years of
> Lojban text, and prior learning, is invalidated

If, hypothetically, we gave ce'u a monosyllabic, we could still leave
the form {ce'u} assigned to it too.

If this idea of allocating the 4 xVV monosyllabics in the way that will
best increase brevity takes off, I hope we will agree that the actual
assignment should only happen after a hell of a lot of text has been
produced, so that we know for sure where they're most needed.

I'd also like to remind people that someone suggested replacing {rei}
with {xei}, on the reasonable grounds that {rei} is easily confused
with {re}, and the other numbers are assigned forms that are deliberately
maximally distinct.

> But I don't feel strongly on this, and indeed have a good argument against
> it. For all that it takes 4 syllables, I have found that, in speech at
> least, "la'edi'u" works very well for aural parsing, just as "lenu" and
> "lesedu'u" and "sekaileka". These make the language easier to listen to
> and understand without conscious parsing (you hear "sekaileka" and think
> "property", not "sumti-tcita with an abstraction". If all the key
> constructs are monosyllables, then that means that they lack contrast, and
> you have "noisy environment" errors where people hear "xau" as "kau" or
> "gau". We've already found that the se/te/ve/xe series is troublesome in
> oral communication, and we changed the rafsi so that at least in lujvo
> there is contrast (this is one reason for using the se/te/ve/xe lujvo
> rather than separate words, is that it adds that oral contrast)

I take your point. If "sekaileka" were English, we'd end up pronouncing
it "skalka", nice and short, but we can't do that in Lojban, which is
why I feel Lojban needs to create some sort of compensatory alternative.
I already know that the consensus is against this, so there is no
need for another wave of disagreeing replies.

> It is hard to argue these things in a community that thus far is mostly
> text-oriented, and in which some subjects are not discussed to the degree
> that they might be under fluent use. In the case of Mex, that entire
> sublanguage is a linguistic experiment: can we come up with a speakable
> form of unambiguous Mex corresponding to the written mathematical
> notation. If you design it to be unspeakable, it most certainly will never
> be spoken. If you design it to be speakable, it might be used, and in fact
> if used could provide a new application for Lojban that expands our
> potential community and applicability. (Lojban: The International Language
> of Mathematics ??? %^)

I had suggested waiting for at least a million words of text before
making firm judgements about frequency. Anyway, I take your point about
what is desirable to Lojban qua experiment. As you know, I tend to
think of Lojban not as an experiment but as an attempt to improve
upon natural language in at least some respects, so I tend to be a bit
disatisfied with those respects in which Lojban is inferior to natlangs.

> > > > The old guard have more of the force of a dead weight,
> > >
> > > Gee, thanks for the vote of confidence! Should Cowan and I
> resign now? pc
> > > already did
> >
> >I've sung your praises many a time, so I won't wax sycophantic now. But
> >you yourself will recognize that at least in the last year or two your
> >contributions have mainly been nay-saying rather than leading new
> >initiatives
>
> I think that if you look back in history, my job has been "naysaying" for a
> lot more years than just one or two. More like a dozen. This is not
> necessarily my preference, but rather what I see as my obligation. Trying
> too many new initiatives and failing at them makes us look like
> failures. Waiting till the right moment has led to good results. I was
> non-supportive of the wiki when it started. It started anyway and did
> well, and I am as strong a backer of the thing as anyone for the purpose
> that it serves. The byfy was an impossibility 5 years ago; now it is a
> necessity. The job of dictionary writing did not change, but the community
> changed and matured and that is now the right way to produce a dictionary
> rather than Lojbab going off into a corner for a year. Believe me, I like
> the responsibility off my back

As I recall, you were the main instigator of Ckafybarja. As well as the
main instigator of Lojban. So you have led new initiatives in your time...

> > > Those that refuse to learn the lessons of history are condemned to repeat
> > > them. There are MANY artificial languages that have failed. I contend
> > > that my vision has gotten us into a rare position of potential success, so
> > > one would think that people would give me a little benefit of the doubt
> > > that I am leading us in the right direction
> > >
> > > But if people reject my vision, I won't do as JCB did and fight to the
> > > death of the language to keep control
> >
> >Winston Churchill lost the 1945 election by a landslide. He had almost
> >single-handedly saved the country during the war, but was not the right
> >leader for the peace
>
> He might have been, but the people wanted a change

They wanted Clement Atlee to come and build the new Jerusalem, not
an aristocrat trying to revivify the dying empire. That is, they
didn't just want change for change's sake; they needed the right
leader for the new job that had to be done.

> > > I question that in natural languages it is meaningful to say "bad for
> > > semantic reasons". Natural languages as well as artificial languages are
> > > humpty-dumpty: words mean what we want them to mean, and if communication
> > > occurs then the semantics is "correct"
> >
> >If a foreign learner says "I am knowing the answer", what is the nature
> >of the error? It is grammatical,
>
> End of point. Find an example that is NOT a grammatical error. When I
> refer to grammar, I distinguish it from semantics

I was unclear. It is not a 'grammatical error' = 'error of grammar'.
The sentence is grammatical. But the utterance is an error -- you'd
correct it if you were teaching EFL.

> >yet it is bad for more than stylistic
> >reasons -- it is not bad merely because native speakers wouldn't say
> >it. Communication is unimpaired, so it's not bad for that reason. The
> >problem is semantic; the meaning encoded by the sentence does not
> >naturally serve as a basis for inferring the meaning the speaker intends
> >to communicate
>
> "I am going down to the pub" when the pub is at the top of a hill and I am
> not, is a semantic error of this sort made by perfectly native speakers,
> yet it is not considered "bad".

I don't agree about this particular example, but let me grant it for
the sake of argument. In that case, it would be an idiom. Idioms
trump "semantic errors".

Idioms are a Very Bad Thing for Lojban (IMO).

Anyway, we seem to have drifted from my original point, but let's let
it drop.

> If indeed the relative altitude is
> important, the idiomatic usage will interfere with communication. Likewise
> someone describing how they enjoyed a "gay celebration"
>
> > > > > The whole area of alphabets and lerfu is tied up with Mex. We
> > cannot say
> > > > > how useful Mex will be, but it certainly will not be useful if we
> > make it
> > > > > more difficult to use
> > > >
> > > >Avoiding making mex harder to use is not a good reason for not making the
> > > >rest of the language easier to use
> > >
> > > I disagree
> >
> >You I think are mex's sole fan
>
> It doesn't have a large constituency, but TLI not having one, just as it
> not having a proper tense grammar, kept on cropping up and biting. ("Four
> score and seven years ago ..."

Use brivla: x1 is a set/sequence of cardinality x2, x1 is product of
x2 and x3, x1 is sum of x2 and x3. No absolute need for special mex.
But it might be useful. Let's get a few million words of text and
see.

> > > >I am proposing (and I think Jordan is
> > > >too) that mex and other stuff that has never seen substantial usage be
> > > >made more longwinded so that future generations of fluent lojbanists can
> > > >decide where shortwindedness can most efficaciously be applied
> > >
> > > Whereas I think it likely that future generations of fluent
> Lojbanists will
> > > do the RIGHT thing and start over from scratch to design Lojban Mark II,
> > > based on the experience of Lojban over a couple of generations
> >
> >Hmm. Do you really?
>
> Yes. But it won't be any of us that does it, if it is done properly
>
> >It seems likely to me that there would be a strong
> >wish to stick with Lojban Mark I, because it already has a speech
> >community
>
> Certainly. But what were the reasons for creating Loglan/Lojban in the
> first place? If the fluent Lojbanist find that Mark I does not in fact
> result in a "logical language" but does come closer to that goal, they more
> than we will be able to spec out what Mark II needs to be, and given the
> nature of the community, someone undoubtedly will go build it. The
> existence of Loglan and Lojban has not stopped guaspi and Ceqli from being
> written, and no doubt if you ever work on Livagian (sp?) again, you will do
> so informed by what you've learned from Lojban. Why presume that native
> Lojban speakers won't have Tolkien's "Secret Vice" as well?

The one and only thing that makes Lojban superior to other engineered
languages is the one and only thing that makes Esperanto superior to
other IALs: the community (not just of outright users, but also of
participants, collaborators, etc.). Even at this stage, but with the
benefit of lessons learnt from Lojban, several of us could redesign
Lojban and come up with something vastly better. And perhaps some of
us do do this, privately. But while it may be within our individual
powers to design a better language, it is not within our individual
powers to create a community around it. And certainly not a
community of the calibre of Lojban's.

> > then maybe I should do what xod advised me
> >to do & be thinking of working on Mark II instead of Mark I. What do
> >you reckon?
>
> Way too premature. No one will know what Mark II would need to be like
> until the generation that learns Lojban AFTER the baseline ends tackles the
> problem. At that point YOU'LL be the old fogey standing in the way of
> progress. If people want to make notes for things they would do in a
> Lojban Mark II on the wiki *IN LOJBAN*, I am sure that the generation in
> question will find your ideas interesting, if quaint. %^)

I think you underestimate how much we already know, or at least how much
some of us think we already know. I think I have a pretty clear idea of
what a design should be like, but very little idea about frequencies
-- how often people talk about a this, how often they talk about a that,
and so forth.

> > > >and partly because you use it without scrupulous regard for meaning
> > >
> > > Correct. I don't accept that debates over semantics will establish
> > > meaning. Communicative usage will establish meaning. Lojban has
> a defined
> > > grammar, but the semantics will (or at least SHOULD) be defined through
> > usage
> >
> >I hope you realize that you are in this respect an arch-Naturalist,
> >very much at one extreme of the spectrum of views
>
> That is the necessity for a Sapir-Whorf test, IMNSHO, which is part of the
> design criteria. I'm not a "naturalist", but an engineer thinking like a
> scientist, and wanting the experimental subjects to explore that variable

Okay. You're a Naturalist, and the rationale for that is the scientific
experiment.

> Lojban is supposed to be metaphysically minimalist
>
> >When you express
> >these views you should make it clear that you are expressing them as
> a private
> >Lojbanist, not as president of LLG. Nick is more representative
> >of the middle-ground on this issue
>
> Yet I agree with him on almost all issues, and most of the time when we
> disagree, I can convince him. (When I cannot reach agreement with him, it
> is usually because I haven't learned enough to understand what he is
> talking about)
>
> And yes I am talking as President of LLG. I am defending what I see as a
> design principle. I so seldom stop to think about what >I< want for the
> language that I doubt that I could easily figure it out. I'm almost always
> representing a constituency, not myself

Fair enough. I respect that. And I accept that when there is a conflict
between the original principles and the current wishes of sizable segments
of the community, you're between a rock and a hard place.

> > > It was founded by someone who was committed to
> > > certain design principles. Once beyond those design principles, I daresay
> > > that I was a good deal more "progressive" than most of you
> >
> >Conservative = resistant to change; Progressive = in favour of change
> >for the better. You have said that Lojban was founded to stop Loglan
> >changing; and you have stuck to your guns ever since. So it is hard
> >for me to squint sufficiently wonkily to see you as a progressive
> >rather than a conservative
>
> On the other hand, much that is in Lojban is a radical departure from what
> JCB was willing to accept, so to him I was a flaming progressive. At one
> time YOU thought that the apostrophe was a radical idea, even though all it
> did was explicitly display the phonological phenomenon we wanted to see
> between disyllable vowel pairs. JCB never accepted it

Alas, I am with JCB on this one. Even when I want to be baseline-compliant
the apostrophe makes me want to puke. It's irrational of me, but it's
an aesthetic reaction I cannot escape. I don't consider the apostrophe
to be a fault or design flaw in Lojban. But I still hate it!

> > > > > >and instead
> > > > > >simply say that the mini-dictionary fixes the meaning of the cmavo it
> > > > > >lists. A proper syntactic parser should not have the mahoste built
> > > > > >in to it, but should instead take input from a community-maintained
> > > > > >mahoste that can be updated with cmavo not listed in the
> > mini-dictionary
> > > > >
> > > > > Then write one
> > > >
> > > >I have (collaboratively) written one for cmavo that are not in the
> > > >official mahoste. It is on the wiki. It is easily adaptable (with
> > > >about 1 minute's work) by anyone writing a parser to take input from
> > > >a mahoste
> > >
> > > Write the parser then. No one else is likely to do so. The official LLG
> > > parser is Cowan's parser
> >
> >I don't have the skills to write a parser
>
> Neither do I. But if you can't write a parser, please don't assume it is
> easy to write one that does what you want. It might indeed be easy, but it
> is not the approach that either Prothero or Cowan or Curnow or any of the
> other Lojban parser writers have ever used EVEN THOUGH when they were
> written the cmavo list was more likely to change than it is now. This
> suggests that people have not felt that to be the optimal way to write such
> software under such conditions. It may be easier to hard code the lexer to
> include changes in cmavo assignments than to make it a file-lookup; neither
> you nor I can say

This question has now been answered from the horse's mouth, but it seems
obvious to me that it would be easy for a parser -- though not necessarily
for a specific coding -- to map cmavo forms to selmaho on the basis of
an input file rather than internal code.

--And.